## xwayland-run 0.0.4

=== meson_options.txt ===
option('compositor',
       type: 'combo',
       choices: ['cage', 'gnome-kiosk', 'kwin', 'mutter', 'weston'],
       value: 'weston')

## xwayland-run 0.0.3

=== debian/changelog ===
xwayland-run (0.0.3-2) unstable; urgency=medium

  * Team upload.
  * Source-only upload.

 -- Boyuan Yang <byang@debian.org>  Sun, 21 Apr 2024 09:34:04 -0400

xwayland-run (0.0.3-1) unstable; urgency=medium

  * Initial release. (Closes: #1061513)

 -- Bo YU <tsu.yubo@gmail.com>  Fri, 19 Apr 2024 22:17:34 +0800

=== debian/control ===
Source: xwayland-run
Section: x11
Priority: optional
Maintainer: Bo YU <tsu.yubo@gmail.com>
Build-Depends: debhelper-compat (= 13),
               meson,
               git,
               dh-python,
               python3-all,
Standards-Version: 4.6.2
Homepage: https://gitlab.freedesktop.org/ofourdan/xwayland-run
Rules-Requires-Root: no
Vcs-Git: https://salsa.debian.org/vimerbf-guest/xwayland-run.git
Vcs-Browser: https://salsa.debian.org/vimerbf-guest/xwayland-run

Package: xwayland-run
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends}, ${shlibs:Depends}, ${python3:Depends},
        weston | cage | kwin-wayland,
        xwayland
Description: Set of utilities to run headless X/Wayland clients
 xwayland-run contains a set of small utilities revolving around running
 Xwayland and various Wayland compositor headless.

=== debian/tests/control ===
# just to print help output
Tests: xwfb-run 
Depends: @
Restrictions: superficial

=== debian/watch ===
version=4
https://gitlab.freedesktop.org/ofourdan/xwayland-run/tags?sort=updated_desc archive/v?\d[\d.]+/xwayland-run-?([\d.]+)@ARCHIVE_EXT@

## xwayland-run 0.0.4

=== debian/changelog ===
xwayland-run (0.0.4-1) unstable; urgency=medium

  * Update d/watch.
  * New upstream version 0.0.4 (Closes: #1082066)
  * Bump std-vet to 4.7.0

 -- Bo YU <tsu.yubo@gmail.com>  Wed, 18 Sep 2024 19:46:54 +0800

=== debian/control ===
--- 
+++ 
@@ -7,7 +7,7 @@
                git,
                dh-python,
                python3-all,
-Standards-Version: 4.6.2
+Standards-Version: 4.7.0
 Homepage: https://gitlab.freedesktop.org/ofourdan/xwayland-run
 Rules-Requires-Root: no
 Vcs-Git: https://salsa.debian.org/vimerbf-guest/xwayland-run.git

=== debian/rules ===
#!/usr/bin/make -f

export DEB_BUILD_MAINT_OPTIONS = hardening=+all

%:
	dh $@ --with=python3 --without=autoreconf --buildsystem=meson

override_dh_auto_configure:
	dh_auto_configure -- \
		-Dcompositor=weston

=== debian/watch ===
version=4
opts="searchmode=plain" \
 https://gitlab.freedesktop.org/ofourdan/@PACKAGE@/tags?sort=updated_desc \
 -/archive/v?\d[\d.]+/@PACKAGE@-@ANY_VERSION@@ARCHIVE_EXT@
